PaperFoxPaperFox
APIReferenceMe

Current key identity and roles

GET
/me

Returns the key owner, the key's scopes/restriction, and the conferences the owner holds roles in. The first call to make.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as a bearer token: Authorization: Bearer pfx_live_...

In: header

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/me"
{  "user": {    "id": "string",    "email": "string",    "firstName": "string",    "lastName": "string",    "name": "string"  },  "key": {    "prefix": "string",    "scopes": [      "string"    ],    "conference": {      "slug": "string",      "name": "string"    }  },  "conferences": [    {      "id": "string",      "slug": "string",      "name": "string",      "shortName": "string",      "roles": [        "chair"      ]    }  ]}
{  "type": "https://paperfox.ai/problems/not-found",  "title": "Not Found",  "status": 404,  "detail": "string",  "code": "not_found",  "errors": [    {      "param": "string",      "code": "string",      "message": "string"    }  ]}
{  "type": "https://paperfox.ai/problems/not-found",  "title": "Not Found",  "status": 404,  "detail": "string",  "code": "not_found",  "errors": [    {      "param": "string",      "code": "string",      "message": "string"    }  ]}